<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<?php get_template_part( 'part/header-head' ); ?>
	
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="fb-root"></div>
	<script>(function(d, s, id) {
	  var js, fjs = d.getElementsByTagName(s)[0];
	  if (d.getElementById(id)) return;
	  js = d.createElement(s); js.id = id;
	  js.src = "//connect.facebook.net/ja_JP/sdk.js#xfbml=1&version=v2.4";
	  fjs.parentNode.insertBefore(js, fjs);
	}(document, 'script', 'facebook-jssdk'));</script>
	
	<div id="wrap">
		<div id="firstview" class="<?php nsd_firstview_class(); ?>">
			<?php if ( 'header' === nsd_menu_style() && ( in_array( 'reservation', get_field( 'nsd_header_banner', 'option' ) ) || in_array( 'tel', get_field( 'nsd_header_banner', 'option' ) ) ) ) : ?>
				<!-- ヘッドライン -->
				<?php get_template_part( 'part/header-headline' ); ?>
			<?php endif; ?>
			
			<?php if ( 'front-page' === nsd_get_template_name() && 'over' === nsd_slider_position() ) : ?>
				<!-- スライダー -->
				<?php get_template_part( 'part/slider' ); ?>
			<?php endif; ?>
			
			<header id="header" class="<?php nsd_text_color_class( get_field( 'nsd_header_bg_color', 'option' ) ); ?>">
				<div class="container">
					<?php if ( 'left' === nsd_branding_position() ) : ?>
						<!-- サイトロゴ -->
						<?php get_template_part( 'part/header-branding' ) ?>
					<?php endif; ?>
					
					<!-- ヘッダーバナー -->
					<?php if ( 'full' === nsd_menu_style() ) : ?>
						<div class="header-col-left">
							<?php if ( in_array( 'tel', get_field( 'nsd_header_banner', 'option' ) ) && in_array( 'sns', get_field( 'nsd_header_banner', 'option' ) ) ) : ?>
								<?php get_template_part( 'part/header-banner-sns' ) ?>
							<?php endif; ?>
						</div><!-- .header-banner-left -->
						
						<div class="header-col-right">
							<?php if ( in_array( 'reservation', get_field( 'nsd_header_banner', 'option' ) ) ) : ?>
								<?php get_template_part( 'part/header-banner-reservation' ) ?>
							<?php endif; ?>
							
							<?php if ( in_array( 'tel', get_field( 'nsd_header_banner', 'option' ) ) ) : ?>
								<?php get_template_part( 'part/header-banner-tel' ) ?>
							<?php elseif ( in_array( 'sns', get_field( 'nsd_header_banner', 'option' ) ) ) : ?>
								<?php get_template_part( 'part/header-banner-sns' ) ?>
							<?php endif; ?>
						</div><!-- .header-banner-right -->
					<?php endif; ?>
					
					<?php if ( 'center' === nsd_branding_position() ) : ?>
						<!-- サイトロゴ -->
						<?php get_template_part( 'part/header-branding' ) ?>
					<?php endif; ?>
					
					<?php if ( 'header' === nsd_menu_style() ) : ?>
						<!-- メインメニュー PC (Short) -->
						<?php get_template_part( 'part/header-menu-short' ) ?>
					<?php endif; ?>
					
					<!-- ヘッダースマートフォンメニュー -->
					<?php get_template_part( 'part/header-sp-button' ) ?>
				</div><!-- .container -->
			</header><!-- #header -->
			
			<?php if ( 'full' === nsd_menu_style() ) :?>
				<!-- メインメニュー PC (Full) -->
				<?php get_template_part( 'part/header-menu' ) ?>
			<?php endif; ?>
			
			<!-- メインメニュー SP -->
			<?php get_template_part( 'part/header-menu-sp' ) ?>
			
			<?php if ( 'front-page' === nsd_get_template_name() && 'under' === nsd_slider_position() ) : ?>
				<!-- スライダー -->
				<?php get_template_part( 'part/slider' ); ?>
			<?php endif; ?>
		</div>
		
		<div id="content" class="content-bg-image-<?php echo esc_attr( get_field( 'nsd_main_bg_image', 'option' ) ); ?>">
			<?php if ( ! is_front_page() ) : ?>
				<!-- パンくずリスト -->
				<?php get_template_part( 'part/breadcrumb' ); ?>
			<?php endif; ?>
