<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// サイドバー設定

add_action( 'widgets_init', 'nsd_register_sidebars' );
function nsd_register_sidebars() {
	register_sidebar(
		array(
			'name'          => 'サイドバー',
			'id'            => 'nsd-sidebar',
			'description'   => 'サイドバー（右カラム）に表示します。',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'	=> '<h2 class="widgettitle title-color">',
			'after_title'	=> '</h2>'
		)
	);
	
	register_sidebar(
		array(
			'name'          => 'フッター 1',
			'id'            => 'nsd-footer-1',
			'description'   => 'フッター左側に表示します。',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'	=> '<h2 class="widgettitle title-color">',
			'after_title'	=> '</h2>'
		)
	);
	
	register_sidebar(
		array(
			'name'          => 'フッター 2',
			'id'            => 'nsd-footer-2',
			'description'   => 'フッター中央に表示します。',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'	=> '<h2 class="widgettitle title-color">',
			'after_title'	=> '</h2>'
		)
	);
	
	register_sidebar(
		array(
			'name'          => 'フッター 3',
			'id'            => 'nsd-footer-3',
			'description'   => 'フッター右側に表示します。',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'	=> '<h2 class="widgettitle title-color">',
			'after_title'	=> '</h2>'
		)
	);
	
	register_sidebar(
		array(
			'name'          => 'ブログページ広告',
			'id'            => 'nsd-blog',
			'description'   => 'ブログ記事の下に表示します。',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'	=> '<h2 class="widgettitle title-color">',
			'after_title'	=> '</h2>'
		)
	);
}

// サイドバーのウィジェット数制限
if ( ! isset( $nsd_limit_widgets_setting ) ) {
	$nsd_limit_widgets_setting = array(
			'nsd-footer-1'	=> 1,
			'nsd-footer-2'	=> 1,
			'nsd-footer-3'	=> 1,
			'nsd-blog'		=> 2,
		);
}

add_action( 'admin_enqueue_scripts', 'nsd_limit_widgets_scripts' );
function nsd_limit_widgets_scripts( $hook_suffix ) {
	global $nsd_limit_widgets_setting;
	if ( 'widgets.php' == $hook_suffix ) {
		wp_enqueue_script( 'limit-widgets-js', esc_url( get_template_directory_uri() ) . '/js/limit-widgets-script.js', array(), wp_theme_version(), true );
		wp_localize_script( 'limit-widgets-js', 'sidebarLimits', $nsd_limit_widgets_setting );
	}
}

