<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// テーマのアクティベイト時処理（必須）

add_action( 'after_setup_theme', 'nsd_activate_theme', 20 );
function nsd_activate_theme() {
	$activate_theme_version = wp_theme_version();
	
	// v.1.0 処理
	if ( version_compare( get_option( 'nsd_activate_theme', 0 ), '1.0' ) === -1 ) {
		
		// terms テーブルに term_order カラムを追加
		global $wpdb;
		
		$query = "SHOW COLUMNS FROM $wpdb->terms LIKE 'term_order'";
		$result = $wpdb->query( $query );
		
		if ( $result == 0 ) {
			$query = "ALTER TABLE $wpdb->terms ADD `term_order` INT( 4 ) NULL DEFAULT '0'";
			$result = $wpdb->query( $query );
			
			$query = "UPDATE $wpdb->terms as t INNER JOIN $wpdb->term_taxonomy as tt ON t.term_id = tt.term_id SET t.term_order = '999' WHERE tt.taxonomy = 'faq_cat'";
			$result = $wpdb->query( $query );
		}
		
	}
	
	// v.1.1 処理
	if ( version_compare( get_option( 'nsd_activate_theme', 0 ), '1.1' ) === -1 ) {
		
		// アイキャッチのデフォルト画像を再生成
		if ( function_exists( 'get_field' ) ) {
			$image_id = get_field( 'nsd_site_eyecatch_default', 'option' );
			if ( $image_id ) {
				$image_short = wp_get_attachment_image_src( $image_id, 'post-thumbnail' );
				
				if ( isset( $image_short[3] ) && ! $image_short[3] ) {
					$fullsizepath = get_attached_file( $image_id );
					
					if ( false !== $fullsizepath && file_exists( $fullsizepath ) ) {
						$metadata = wp_generate_attachment_metadata( $image_id, $fullsizepath );
						
						if ( ! empty( $metadata ) && ! is_wp_error( $metadata ) ) {
							wp_update_attachment_metadata( $image_id, $metadata );
						}
					}
				}
			}
		}
		
	}
	
	if ( version_compare( get_option( 'nsd_activate_theme', 0 ), $activate_theme_version ) === -1 ) {
		// テーマのアクティベイトのバージョン
		update_option( 'nsd_activate_theme', $activate_theme_version );
	}
}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// テーマのアクティベイト時処理（アクティベート時に1度しか行わない処理）

add_action( 'after_setup_theme', 'nsd_activate_theme_optional', 99 );
function nsd_activate_theme_optional() {
	if ( ! get_option( 'nsd_activate_theme_optional', 0 ) ) {
		nsd_optional_setup();
		
		update_option( 'nsd_activate_theme_optional', '1.0' );
	}
}


//++++++++++++++++++++++++++++++++++++++++++++++++++++++
// MW WP Form のセットアップ

add_action( 'after_setup_theme', 'nsd_mw_form_setup_once', 99 );
function nsd_mw_form_setup_once() {
	global $MW_WP_Form;
	
	if ( ! get_option( 'nsd_mw_form_setup', 0 ) && isset( $MW_WP_Form ) ) {
		nsd_mw_form_setup();
		
		update_option( 'nsd_mw_form_setup', '1.0' );
	}
}

