(function () {
	"use strict";
	
	var nsButtonManager = function(editor, url) {
		function createButton() {
			var self = this;
			
			editor.undoManager.transact(function() {
				editor.focus();
				editor.formatter.apply(
					"ns-button",
					{
						classes: self.settings.classData
					}
				);
				
				if ('' == editor.selection.getContent({format: "text"})) {
					editor.selection.setContent("ボタン");
				}
				editor.nodeChanged();
			});
		}
		
		editor.on("Init", function(e) {
			editor.formatter.register(
				"ns-button",
				{
					block: "a",
					selector: "a",
					classes: "%classes",
					attributes: {
						href: homeurl || (location.protocol + "//" + location.hostname + "/")
					},
					remove: "all",
					split: !0,
					deep: !0
				}
			);
		});
		
		editor.addButton("ns_button_button", {
			type: "menubutton",
			tooltip: "ボタン",
			icon: "icon mce-i-ns-button",
			menu: [
				{
					text: "カラー 大",
					classData: "ns-button ns-button-color ns-button-large",
					onclick: createButton
				},
				{
					text: "カラー 中",
					classData: "ns-button ns-button-color ns-button-medium",
					onclick: createButton
				},
				{
					text: "カラー 小",
					classData: "ns-button ns-button-color ns-button-small",
					onclick: createButton
				},
				{
					text: "グレー 大",
					classData: "ns-button ns-button-gray ns-button-large",
					onclick: createButton
				},
				{
					text: "グレー 中",
					classData: "ns-button ns-button-gray ns-button-medium",
					onclick: createButton
				},
				{
					text: "グレー 小",
					classData: "ns-button ns-button-gray ns-button-small",
					onclick: createButton
				}
			]
		});
	};
	
	tinymce.PluginManager.add( "ns_button", nsButtonManager );
})();
