(function () {
	"use strict";
	
	var nsShortcodeManager = function(editor, url) {
		editor.addButton('ns_shortcodes_button', function() {
			return {
				title: "",
				text: "ショートコード",
				type: 'menubutton',
				icons: false,
				menu: [
					{
						text: 'カラム',
						menu: [
							{
								text: "1 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]</p><p>1カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "1 + 1 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]</p><p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]</p><p>1カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "2 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col cols="2"]<p>2カラム幅のコンテンツ</p><p>[/ns_col][ns_col]</p><p>1カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "1 + 2",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col cols="2"]</p><p>2カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "1 + 1 + 1 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]</p><p>1カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "2 + 1 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col cols="2"]</p><p>2カラム幅のコンテンツ</p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "1 + 2 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col cols="2"]</p><p>2カラム幅のコンテンツ</p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "1 + 1 + 2",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col cols="2"]</p><p>2カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "3 + 1",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col cols="3"]</p><p>3カラム幅のコンテンツ</p>[/ns_col][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][/ns_row]');
								}
							},
							{
								text: "1 + 3",
								onclick: function(){
									editor.insertContent('[ns_row][ns_col]<p>1カラム幅のコンテンツ</p><p>[/ns_col][ns_col cols="3"]</p><p>3カラム幅のコンテンツ</p>[/ns_col][/ns_row]');
								}
							}
						]
					},
					{
						text: 'ボタン',
						menu: [
							{
								text: "カラー 大",
								onclick: function(){
									editor.insertContent('[ns_button href="#URL" size="large"]ボタン カラー 大[/ns_button]');
								}
							},
							{
								text: "カラー 中",
								onclick: function(){
									editor.insertContent('[ns_button href="#URL" size="medium"]ボタン カラー 中[/ns_button]');
								}
							},
							{
								text: "カラー 小",
								onclick: function(){
									editor.insertContent('[ns_button href="#URL" size="small"]ボタン カラー 小[/ns_button]');
								}
							},
							{
								text: "グレー 大",
								onclick: function(){
									editor.insertContent('[ns_button href="#URL" size="large" color="gray"]ボタン グレー 大[/ns_button]');
								}
							},
							{
								text: "グレー 中",
								onclick: function(){
									editor.insertContent('[ns_button href="#URL" size="medium" color="gray"]ボタン グレー 中[/ns_button]');
								}
							},
							{
								text: "グレー 小",
								onclick: function(){
									editor.insertContent('[ns_button href="#URL" size="small" color="gray"]ボタン グレー 小[/ns_button]');
								}
							}
						]
					}
				]
			};
		});
	};
	
	tinymce.PluginManager.add( "ns_shortcodes", nsShortcodeManager );
})();
