<?php

class NS_Shortcodes_TinyMCE_Buttons {
	function __construct() {
		add_action( 'admin_head', array( &$this, 'init' ) );
		
		add_action( 'admin_enqueue_scripts', array( &$this, 'enqueue_style' ) );
	}
	
	function init() {
		if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
			return;
		
		if ( get_user_option('rich_editing') == 'true' ) {
			add_filter( 'mce_external_plugins', array( &$this, 'add_plugin' ) );
			add_filter( 'mce_buttons', array( &$this, 'register_button' ) );
			add_filter( 'mce_buttons_2', array( &$this, 'register_button_2' ) );
			add_action( 'wp_tiny_mce_init', array( &$this, 'wp_tiny_mce_init' ) );
		}
	}
	
	function wp_tiny_mce_init() {
		?>
		<script type="text/javascript">
			var homeurl = "<?php echo home_url( '/' ); ?>";
		</script>
		<?php
	}
	
	function add_plugin( $plugin_array ) {  
		global $wp_version;
		$ver = wp_theme_version();
		
		if ( version_compare( $wp_version, '3.9', '>=' ) ) {
			$plugin_array['ns_shortcodes'] = get_template_directory_uri() . '/inc/tinymce/js/shortcodes-tinymce-4.js?ver=' . $ver;
			$plugin_array['ns_marker'] = get_template_directory_uri() . '/inc/tinymce/js/marker-tinymce-4.js?ver=' . $ver;
			$plugin_array['ns_box'] = get_template_directory_uri() . '/inc/tinymce/js/box-tinymce-4.js?ver=' . $ver;
			$plugin_array['ns_button'] = get_template_directory_uri() . '/inc/tinymce/js/button-tinymce-4.js?ver=' . $ver;
		}
		
		return $plugin_array;
	}
	
	function register_button( $buttons ) {  
		array_push( $buttons, 'ns_shortcodes_button' );
		
		return $buttons; 
	}
	
	function register_button_2( $buttons ) {  
		array_push( $buttons, 'ns_hilite_button' );
		array_push( $buttons, 'ns_marker_button' );
		array_push( $buttons, 'ns_box_button' );
		array_push( $buttons, 'ns_button_button' );
		
		return $buttons; 
	}
	
	function enqueue_style() {
		wp_enqueue_style( 'ns-tinymce', get_template_directory_uri() . '/inc/tinymce/css/ns-tinymce.css', array(), wp_theme_version() );
	}
}

$ns_shortcodes_tinymce_buttons = new NS_Shortcodes_TinyMCE_Buttons;

