<?php
/*
Template Name: FAQ表示ページ
*/

get_header(); ?>

<?php if ( have_posts() ): ?>
	<?php while ( have_posts() ): the_post(); ?>
		<article class="page-article">
			<?php get_template_part( 'part/page-eyecatch' ); ?>
			
			<div class="container">
				<?php if ( ! has_post_thumbnail() ) : ?>
					<header class="header">
						<h2 class="title"><?php the_title(); ?></h2>
					</header>
				<?php endif; ?>
				
				<div class="box">
					<?php if ( '' !== trim( strip_tags( get_the_content() ) ) ) :  ?>
						<div class="content post-content post-content-main post-content-page">
							<?php the_content(); ?>
						</div>
					<?php endif; ?>
					
					<div class="faq">
						<?php
							$terms = get_terms( 'faq_cat', array(
								'orderby'	=> 'term_order',
								'order'		=> 'ASC',
							) );
							array_unshift( $terms, false );
							
							foreach ( $terms as $term ) :
								$args = array(
										'posts_per_page' => -1,
										'post_type' => 'faq',
										'order' => 'ASC'
									);
								if ( $term ) {
									$args['tax_query'] = array(
											array(
												'taxonomy'	=> 'faq_cat',
												'terms'		=> $term->term_id,
											),
										);
								} else {
									$args['tax_query'] = array(
											array(
												'taxonomy'	=> 'faq_cat',
												'operator'	=> 'NOT EXISTS',
											),
										);
								}
								$myposts = get_posts( $args );
								
								if ( count( $myposts ) ) : ?>
									<section class="section">
										<?php if ( $term ) : ?>
											<h3 class="title title-color"><?php echo esc_html( $term->name ); ?></h3>
										<?php endif; ?>
										
										<dl class="faq-list qa">
											<?php
												foreach ( $myposts as $post ) :
													setup_postdata( $post );
													if ( $term ? has_term( $term->term_id, 'faq_cat' ) : ! get_the_terms( get_the_ID(), 'faq_cat' ) ) : ?>
														<dt><div class="head">Q.</div> <div class="text"><?php the_title(); ?></div></dt>
														<dd><div class="head">A.</div> <div class="text post-content post-content-main post-content-faq"><?php the_content(); ?></div></dd>
													<?php endif;
												endforeach;
												wp_reset_postdata();
											?>
										</dl>
									</section>
								<?php endif;
							?>
						<?php endforeach; ?>
					</div>
					
					<?php if ( is_array( get_field( 'nsd_page_inquiry_banner' ) ) && count( get_field( 'nsd_page_inquiry_banner' ) ) && get_field( 'nsd_site_inquiry_url', 'option' ) ) : ?>
						<div class="page-inquiry">
							<a href="<?php echo esc_url( get_field( 'nsd_site_inquiry_url', 'option' ) ); ?>" class="button-contact button-color">お問い合わせ</a>
						</div>
					<?php endif; ?>
					
					<?php
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>
				</div>
			</div><!-- .page-container -->
		</article>
	<?php endwhile; ?>
<?php endif; ?>
	
<?php get_footer(); ?>