<?php
/*
Template Name: 商品一覧
*/

get_header(); ?>

<?php if ( have_posts() ): ?>
	<?php while ( have_posts() ): the_post(); ?>
		<div class="baseshop-container">
			<?php if ( '' !== trim( strip_tags( get_the_content() ) ) ) :  ?>
				<div class="baseshop-description">
					<div class="content post-content post-content-main post-content-page">
						<?php the_content(); ?>
					</div><!-- .content -->
				</div><!-- .baseshop-description -->
			<?php endif; ?>
			
			<?php if ( have_rows( 'nsd_baseshop_item' ) ): ?>
				<div class="baseshop-item">
					<div class="items">
						<ul>
							<?php while ( have_rows( 'nsd_baseshop_item' ) ) : the_row(); ?>
								<?php
									$item_url = get_sub_field( 'url' );
									$item_url = preg_replace( '/^(https?:\/\/.+\/items\/\d+)\/?$/', '$1', $item_url );
									if ( $item_url ) : ?>
										<li class="item">
											<iframe frameborder="0" height="450" width="380" src="<?php echo esc_url( $item_url ); ?>/widget/multi/380/450" class="widget-lg"></iframe>
											<iframe frameborder="0" height="450" width="300" src="<?php echo esc_url( $item_url ); ?>/widget/multi/300/450" class="widget-md"></iframe>
											
											<ul class="tags tip-list">
												<?php
													$tag_names = array(
															'new'	=> 'NEW',
															'sale'	=> 'SALE',
															'pickup'	=> 'PICK UP',
															'soldout'	=>	'SOLD OUT',	
														);
													
													$item_tags = get_sub_field( 'tag' );
													
													if ( $item_tags ) :
														foreach ( $item_tags as $tag ) : ?>
															<li class="tip label-color <?php echo esc_attr( $tag ); ?>"><?php echo esc_html( $tag_names[ $tag ] ); ?></li>
														<?php endforeach;
													endif;
												?>
											</ul>
										</li>
									<?php endif;
								?>
							<?php endwhile; ?>
						</ul>
					</div><!-- .items -->
				</div><!-- .baseshop-item -->
			<?php endif; ?>
		</div><!-- .baseshop-container -->
		
		<?php if ( is_array( get_field( 'nsd_page_inquiry_banner' ) ) && count( get_field( 'nsd_page_inquiry_banner' ) ) && get_field( 'nsd_site_inquiry_url', 'option' ) ) : ?>
			<div class="page-inquiry">
				<a href="<?php echo esc_url( get_field( 'nsd_site_inquiry_url', 'option' ) ); ?>" class="button-contact button-color">お問い合わせ</a>
			</div>
		<?php endif; ?>
	<?php endwhile; ?>
<?php endif; ?>
				
<?php get_footer(); ?>