<?php
	$post_objects = get_field( 'nsd_front_custom_pages', 'option' );
	if ( $post_objects ): ?>
		<div class="front-custom">
			<?php if ( get_field( 'nsd_front_custom_title', 'option' ) ) : ?>
				<header class="header">
					<h2 class="title"><?php echo wp_kses_post( get_field( 'nsd_front_custom_title', 'option' ) ); ?></h2>
				</header>
			<?php endif; ?>
			
			<div class="items">
				<ul>
					<?php foreach ( $post_objects as $post ) : ?>
						<?php
							setup_postdata( $post );
							
							$image_id = 0;
							$image_src = '';
							
							if ( has_post_thumbnail() ) {
								$image_id = get_post_thumbnail_id();
							} elseif ( function_exists( 'get_field' ) ) {
								$image_id = get_field( 'nsd_site_eyecatch_default', 'option' );
							}
							
							if ( $image_id ) {
								$image = wp_get_attachment_image_src( $image_id, 'post-single-eyecatch' );
								
								if ( isset( $image[0] ) ) {
									$image_src = $image[0];
								}
							}
						?>
						<li class="item">
							<a href="<?php the_permalink(); ?>">
								<div class="image" <?php if ( $image_src ) echo 'style="background-image: url(' . esc_url( $image_src ) . ');"'; ?>>
								</div>
								
								<?php if ( get_field( 'nsd_page_eyecatch_title' ) ) : ?>
									<div class="caption">
										<h3 class="title"><?php the_title(); ?></h3>
										
										<div class="excerpt">
											<?php the_excerpt(); ?>
										</div>
									</div>
								<?php endif; ?>
							</a>
						</li>
					<?php endforeach; ?>
				</ul>
			</div>
		</div><!-- .front-custom -->
	<?php endif;
?>
