<?php
	$post_limit = get_field( 'nsd_front_new_limit', 'option' );
	if ( $post_limit ) :
		$sticky = get_option('sticky_posts');
		if ( is_array( $sticky ) && count( $sticky ) ) {
			$myposts = get_posts( array(
					'post__in' => $sticky,
					'numberposts' => $post_limit,
				) );
			
			if ( count( $myposts ) < $post_limit ) {
				$new_posts = get_posts( array(
						'post__not_in' => $sticky,
						'numberposts' => $post_limit - count( $myposts ),
					) );
				$myposts = array_merge( $myposts, $new_posts );
			}
		} else {
			$myposts = get_posts( array(
					'numberposts' => $post_limit,
				) );
		}
		
		if ( count( $myposts ) ) : ?>
			<div class="front-new post-summary sp-<?php echo esc_attr( get_field( 'nsd_front_new_sp_style', 'option' ) ); ?>">
				<?php if ( get_field( 'nsd_front_new_title', 'option' ) ) : ?>
					<header class="header <?php if ( '#ffffff' === get_field( 'nsd_main_bg_color', 'option' ) ) echo 'border-bottom'; ?>">
						<h2 class="title"><?php echo wp_kses_post( get_field( 'nsd_front_new_title', 'option' ) ); ?></h2>
					</header>
				<?php endif; ?>
				
				<div class="items">
					<ul>
						<?php
							foreach ( $myposts as $post ) {
								setup_postdata( $post );
								get_template_part( 'part/post-summary-item' );
							}
						?>
					</ul>
				</div>
				
				<?php if ( get_field( 'nsd_main_post_button', 'option' ) && is_string( get_field( 'nsd_main_post_button_text', 'option' ) ) && '' !== get_field( 'nsd_main_post_button_text', 'option' ) && wp_get_posts_page_url() ) : ?>
					<footer class="footer">
						<p class="buttonrow"><a href="<?php echo esc_url( wp_get_posts_page_url() ); ?>" class="button"><?php echo esc_html( get_field( 'nsd_main_post_button_text', 'option' ) ); ?></a></p>
					</footer>
				<?php endif; ?>
			</div><!-- .front-new -->
	<?php endif;
	endif;
?>
<?php wp_reset_postdata(); ?>
