<li class="item <?php echo 'page' === get_post_type() ? 'item-page' : 'item-post'; ?>">
	<a href="<?php the_permalink(); ?>">
		<?php
			$image_id = 0;
			$image_src = '';
			
			if ( has_post_thumbnail() ) {
				$image_id = get_post_thumbnail_id();
			} elseif ( function_exists( 'get_field' ) ) {
				$image_id = get_field( 'nsd_site_eyecatch_default', 'option' );
			}
			
			if ( $image_id ) {
				$image = wp_get_attachment_image_src( $image_id, 'post-thumbnail' );
				
				if ( isset( $image[0] ) ) {
					$image_src = $image[0];
				}
			}
		?>
		<div class="eyecatch" <?php if ( $image_src ) echo 'style="background-image: url(' . esc_url( $image_src ) . ');"'; ?>>
		</div>
		
		<div class="detail">
			<p class="date"><span><?php the_time( get_option( 'date_format' ) ); ?></span></p>
			
			<div class="text">
				<h3 class="title"><?php the_title(); ?></h3>
				
				<div class="excerpt">
					<?php the_excerpt(); ?>
				</div>
			</div>
			
			<div class="info tip-list">
				<ul class="category">
					<?php
						$categories = get_the_category();
						foreach ( $categories as $category ) : ?>
							<li class="tip label-color"><?php echo esc_html( $category->name ); ?></li>
						<?php endforeach;
					?>
				</ul>
			</div>
		</div>
	</a>
</li><!-- .item -->
