<?php
	$author_name = get_the_author();
	$author_id = get_the_author_meta( 'ID' );
	$author_image = get_field( 'nsd_user_image', 'user_' . $author_id );
	$author_position = get_field( 'nsd_user_position', 'user_' . $author_id );
	$author_content = get_field( 'nsd_user_content', 'user_' . $author_id );
	$author_facebook = get_field( 'nsd_user_facebook', 'user_' . $author_id );
	$author_twitter = get_field( 'nsd_user_twitter', 'user_' . $author_id );
	$author_instagram = get_field( 'nsd_user_instagram', 'user_' . $author_id );
	
	if ( $author_image || '' !== $author_position || '' !== $author_content || '' !== $author_facebook || '' !== $author_twitter || '' !== $author_instagram ) : ?>
	<aside class="single-author">
		<?php if ( $author_image ) : ?>
			<div class="image">
				<?php echo wp_get_attachment_image( $author_image, 'thumbnail-small' ); ?>
			</div>
		<?php endif; ?>
		
		<div class="main">
			<div class="name"><?php the_author_posts_link(); ?></div>
			
			<?php if ( '' !== $author_position ) : ?>
				<div class="position"><?php echo esc_html( $author_position ); ?></div>
			<?php endif; ?>
			
			<?php if ( '' !== $author_content ) : ?>
				<div class="content post-content post-content-main">
					<?php echo wp_kses_post( $author_content ); ?>
				</div>
			<?php endif; ?>
			
			<?php if ( '' !== $author_facebook || '' !== $author_twitter || '' !== $author_instagram ) : ?>
				<div class="author-sns">
					<ul>
						<?php if ( '' !== $author_facebook ) : ?>
							<li><a href="<?php echo esc_url( 'https://www.facebook.com/' . $author_facebook ); ?>" target="_blank" class="facebook">Facebook</a></li>
						<?php endif; ?>
						
						<?php if ( '' !== $author_twitter ) : ?>
							<li><a href="<?php echo esc_url( 'https://twitter.com/' . $author_facebook ); ?>" target="_blank" class="twitter">Twitter</a></li>
						<?php endif; ?>
						
						<?php if ( '' !== $author_instagram ) : ?>
							<li><a href="<?php echo esc_url( 'https://www.instagram.com/' . $author_facebook . '/' ); ?>" target="_blank" class="instagram">Instagram</a></li>
						<?php endif; ?>
					</ul>
				</div>
			<?php endif; ?>
		</div>
	</aside><!-- .single-author -->
<?php endif; ?>