<?php
	$categories = get_the_category();
	$category_ids = array();
	foreach ( $categories as $category ) {
		$category_ids[] = $category->term_id;
	}
	
	$args = array(
			'numberposts' => 4,
			'orderby' => 'rand',
			'category' => implode( ',', $category_ids ),
			'exclude' => get_the_ID(),
		);
	
	$myposts = get_posts( $args );
	
	if ( count( $myposts ) ) : ?>
		<aside class="single-related">
			<header class="header">
				<h3 class="title title-color">関連記事</h3>
			</header>
			
			<ul class="list">
				<?php foreach ( $myposts as $post ) : ?>
					<?php setup_postdata($post); ?>
					<li class="item">
						<div class="col-thumbnail">
							<a href="<?php the_permalink(); ?>"><span class="thumbnail-wrap"><?php the_post_thumbnail( 'thumbnail-small' ); ?></span></a>
						</div>
						
						<div class="col-title">
							<h4 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
							<div class="info tip-list">
								<p class="date tip"><?php the_time( get_option( 'date_format' ) ); ?></p>
								<?php if ( strtotime( '-1 month', date_i18n( ' U' ) ) < get_the_time( 'U' ) ) : ?>
									<p class="new tip">NEW</p>
								<?php endif; ?>
							</div>
						</div>
					</li>
				<?php endforeach; ?>
			</ul><!-- .list -->
		</aside><!-- .single-related -->
	<?php endif;
	wp_reset_postdata();
?>
