<?php get_header(); ?>

<div class="main-row row">
	<div id="main">
		<?php if ( have_posts() ): ?>
			<?php while ( have_posts() ): the_post(); ?>
				<article <?php post_class('single-article'); ?> itemscope itemtype="http://schema.org/BlogPosting">
					<?php get_template_part( 'part/single-post-header' ); ?>
					
					<?php if ( is_array( get_field( 'nsd_blog_sns_position' ) ) && in_array( 'header', get_field( 'nsd_blog_sns_position' ) ) ) : ?>
						<?php get_template_part( 'part/single-post-sns-header' ); ?>
					<?php endif; ?>
					
					<?php if ( is_string( get_field( 'nsd_post_content_before', 'option' ) ) && '' !== get_field( 'nsd_post_content_before', 'option' ) ) : ?>
						<div class="content-before post-content post-content-main">
							<?php echo wp_kses_post( get_field( 'nsd_post_content_before', 'option' ) ); ?>
						</div>
					<?php endif; ?>
					
					<?php get_template_part( 'part/single-post-content' ); ?>
					
					<?php if ( is_string( get_field( 'nsd_post_content_after', 'option' ) ) && '' !== get_field( 'nsd_post_content_after', 'option' ) ) : ?>
						<div class="content-after post-content post-content-main">
							<?php echo wp_kses_post( get_field( 'nsd_post_content_after', 'option' ) ); ?>
						</div>
					<?php endif; ?>
					
					<?php
						wp_link_pages( array(
							'before'      => '<div class="page-links"><span class="info">ページ</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
						) );
					?>
					
					<?php
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>
					
					<?php if ( is_array( get_field( 'nsd_blog_sns_position' ) ) && in_array( 'footer', get_field( 'nsd_blog_sns_position' ) ) ) : ?>
						<?php get_template_part( 'part/single-post-sns-footer' ); ?>
					<?php endif; ?>
					
					<?php if ( get_field( 'nsd_main_post_author', 'option' ) ) : ?>
						<?php get_template_part( 'part/single-post-author' ); ?>
					<?php endif; ?>
				</article><!-- .single-article -->
				
				<?php if ( is_array( get_field( 'nsd_blog_cta_display' ) ) && count( get_field( 'nsd_blog_cta_display' ) ) && get_field( 'nsd_blog_cta_content', 'option' ) ) : ?>
					<?php get_template_part( 'part/single-post-cta' ); ?>
				<?php endif; ?>
				
				<?php if ( is_active_sidebar( 'nsd-blog' ) ) : ?>
					<aside class="single-widgets">
						<?php dynamic_sidebar( 'nsd-blog' ); ?>
					</aside><!-- .single-widgets -->
				<?php endif; ?>
			
				<?php get_template_part( 'part/single-post-related' ); ?>
				
				<?php if ( get_previous_post_link() || get_next_post_link() ) : ?>
					<div class="single-pagenav">
						<div class="prev">
							<?php previous_post_link( '%link', '<span class="title-sp">前の記事</span><span class="title-pc">%title</span>' ); ?>
						</div>
						
						<div class="next">
							<?php next_post_link( '%link', '<span class="title-sp">次の記事</span><span class="title-pc">%title</span>' ); ?>
						</div>
					</div>
				<?php endif; ?>
				
				<?php if ( wp_get_posts_page_url() ) : ?>
					<footer class="single-buttonrow">
						<a href="<?php echo esc_url( wp_get_posts_page_url() ); ?>" class="button">記事一覧へ</a>
					</footer><!-- .single-buttonrow -->
				<?php endif; ?>
				
			<?php endwhile; ?>
		<?php endif; ?>
	</div><!-- #main -->
	
	<div id="sidebar">
		<?php dynamic_sidebar( 'nsd-sidebar' ); ?>
	</div>
</div>

<?php get_footer(); ?>